<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021, 2024 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<?eclipse version="3.4"?>
<plugin>
   <extension
         id="my.test.e4.ui.fragment"
         point="org.eclipse.e4.workbench.model">
   </extension>

   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="org.eclipse.lsat.timinganalysis.ui.AnimationView"
            default="false"
            extensions="htm, html"
            icon="icons/globe3.png"
            id="org.eclipse.lsat.timinganalysis.ui.AnimationView"
            name="Animation Viewer">
      </editor>
   </extension>
   
   <extension
         point="org.eclipse.core.expressions.definitions">
      <definition
            id="org.eclipse.lsat.scheduler.sort">
         <or>
            <reference
                  definitionId="org.eclipse.lsat.machine.oneMachine">
            </reference>
            <reference
                  definitionId="org.eclipse.lsat.machine.oneSetting">
            </reference>
         </or>
      </definition>
   </extension>
   <extension
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            delegate="org.eclipse.lsat.timinganalysis.ui.launch.TimingAnalysisLaunchDelegate"
            id="org.eclipse.lsat.timinganalysis.ui.launchConfigurationType"
            modes="run, debug"
            name="Timing Analysis">
      </launchConfigurationType>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTabGroups">
      <launchConfigurationTabGroup
            class="org.eclipse.lsat.timinganalysis.ui.launch.TimingAnalysisLaunchTabGroup"
            id="org.eclipse.lsat.timinganalysis.ui.launchConfigurationTabGroup"
            type="org.eclipse.lsat.timinganalysis.ui.launchConfigurationType">
      </launchConfigurationTabGroup>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTypeImages">
      <launchConfigurationTypeImage
            configTypeID="org.eclipse.lsat.timinganalysis.ui.launchConfigurationType"
            icon="icons/gantt.png"
            id="org.eclipse.lsat.timinganalysis.ui.launchConfigurationTypeImage">
      </launchConfigurationTypeImage>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchShortcuts">
      <shortcut
            class="org.eclipse.lsat.timinganalysis.ui.launch.TimingAnalysisLaunchShortcut$GanttChart"
            icon="icons/gantt.png"
            id="org.eclipse.lsat.timinganalysis.ui.launchshortcut"
            label="Timing Analysis"
            modes="run, debug">
         <contextualLaunch>
            <enablement>
               <with variable="selection">
                  <count value="(0-"/>
                  <count value="-3)"/>
                  <iterate ifEmpty="false" operator="and">
                     <instanceof value="org.eclipse.core.resources.IResource"/>
                     <or>
                        <test property="org.eclipse.core.resources.name" value="*.setting"/>
                        <test property="org.eclipse.core.resources.name" value="*.dispatching"/>
                     </or>
                  </iterate>
               </with>
            </enablement>
         </contextualLaunch>
         <configurationType
               id="org.eclipse.lsat.timinganalysis.ui.launchConfigurationType">
         </configurationType>
         <description
               description="Run Timing Analysis (Gantt chart)"
               mode="run">
         </description>
         <description
               description="Debug Timing Analysis (Gantt chart)"
               mode="debug">
         </description>
      </shortcut>
     <shortcut
            class="org.eclipse.lsat.timinganalysis.ui.launch.TimingAnalysisLaunchShortcut$CriticalPath"
            icon="icons/gantt.png"
            id="org.eclipse.lsat.timinganalysis.ui.launchshortcut"
            label="Timing Analysis (Critical path)"
            modes="run, debug">
         <contextualLaunch>
            <enablement>
               <with variable="selection">
                  <count value="(0-"/>
                  <count value="-3)"/>
                  <iterate ifEmpty="false" operator="and">
                     <instanceof value="org.eclipse.core.resources.IResource"/>
                     <or>
                        <test property="org.eclipse.core.resources.name" value="*.setting"/>
                        <test property="org.eclipse.core.resources.name" value="*.dispatching"/>
                     </or>
                  </iterate>
               </with>
            </enablement>
         </contextualLaunch>
         <configurationType
               id="org.eclipse.lsat.timinganalysis.ui.launchConfigurationType">
         </configurationType>
         <description
               description="Run Timing Analysis (Critical path)"
               mode="run">
         </description>
         <description
               description="Debug Timing Analysis (Critical path)"
               mode="debug">
         </description>
      </shortcut>
     <shortcut
            class="org.eclipse.lsat.timinganalysis.ui.launch.TimingAnalysisLaunchShortcut$StochasticImpact"
            icon="icons/gantt.png"
            id="org.eclipse.lsat.timinganalysis.ui.launchshortcut"
            label="Timing Analysis (Stochastic impact)"
            modes="run, debug">
         <contextualLaunch>
            <enablement>
               <with variable="selection">
                  <count value="(0-"/>
                  <count value="-3)"/>
                  <iterate ifEmpty="false" operator="and">
                     <instanceof value="org.eclipse.core.resources.IResource"/>
                     <or>
                        <test property="org.eclipse.core.resources.name" value="*.setting"/>
                        <test property="org.eclipse.core.resources.name" value="*.dispatching"/>
                     </or>
                  </iterate>
               </with>
            </enablement>
         </contextualLaunch>
         <configurationType
               id="org.eclipse.lsat.timinganalysis.ui.launchConfigurationType">
         </configurationType>
         <description
               description="Run Timing Analysis (Stochastic impact)"
               mode="run">
         </description>
         <description
               description="Debug Timing Analysis (Stochastic impact)"
               mode="debug">
         </description>
      </shortcut>
   </extension>
   </plugin>
